<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myPositionFullfillmentLabel" jhiTranslate="mpmApp.positionFullfillment.home.createOrEditLabel">Create or edit a Position Fullfillment</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!positionFullfillment.idPositionFullfillment">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id" [(ngModel)]="positionFullfillment.idPositionFullfillment" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.positionFullfillment.dateFrom" for="field_dateFrom">Date From</label>
            <div class="input-group">
                <p-calendar inputId="field_dateFrom" name="input_dateFrom" [(ngModel)]="positionFullfillment.dateFrom"
                    dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                    [showIcon]="true"></p-calendar>
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.positionFullfillment.dateThru" for="field_dateThru">Date Thru</label>
            <div class="input-group">
                <p-calendar inputId="field_dateThru" name="input_dateThru" [(ngModel)]="positionFullfillment.dateThru"
                    dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                    [showIcon]="true"></p-calendar>
            </div>
        </div>

        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.positionFullfillment.position" for="field_position">Position</label>
            <select class="form-control" id="field_position" name="position" [(ngModel)]="positionFullfillment.positionId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="positionOption.idPosition" *ngFor="let positionOption of positions; trackBy: trackPositionById">{{positionOption.id}}</option>
            </select>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.positionFullfillment.person" for="field_person">Person</label>
            <select class="form-control" id="field_person" name="person" [(ngModel)]="positionFullfillment.personId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="personOption.idParty" *ngFor="let personOption of people; trackBy: trackPersonById">{{personOption.name}}</option>
            </select>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}" 
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}" 
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
